<?xml version="1.0" encoding="UTF-8"?>
<plugin
   id="org.eclipse.hyades.sd.ui"
   name="Hyades Sequence Diagram UI"
   version="1.2.0"
   provider-name="Eclipse.org"
   class="org.eclipse.hyades.sd.ui.SDPlugin">

   <runtime>
      <library name="sd_ui.jar">
         <export name="*"/>
		 <packages prefixes="org.eclipse.hyades.sd.ui"/>                       
      </library>
   </runtime>
   
   <requires>
      <import plugin="org.eclipse.hyades.models.hierarchy"/>
      <import plugin="org.eclipse.hyades.models.cbe"/>
      <import plugin="org.eclipse.hyades.trace.ui"/>
      <import plugin="org.eclipse.draw2d"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui" export="true"/>
   </requires>

<!-- ============================================================== -->
   <extension-point id="SDGraphLoader" name="SD Graph Model Loader"/>

<!--===============================================================-->
<extension
      point="org.eclipse.ui.views">
   <view
         name="%STR_VIEW_TITLE"
         icon="./icons/full/cview16/sequencediagram_view.gif"
         category="org.eclipse.hyades.trace.internal.ui.trace"
         class="org.eclipse.hyades.sd.ui.internal.views.SDViewer"
         id="org.eclipse.hyades.sd.ui.internal.views.SDViewer">
   </view>
</extension>

<!-- ==================================================================== -->
<extension point="org.eclipse.ui.perspectiveExtensions">
  <perspectiveExtension 
	targetID="org.eclipse.hyades.trace.internal.ui.tracePerspective">
    	<view id="org.eclipse.hyades.sd.ui.internal.views.SDViewer" 
        	relative="org.eclipse.hyades.trace.ui.internal.console.TraceConsoleView" 
    		relationship="stack"
    		visible="false"/>
  </perspectiveExtension> 
</extension>

<!--===============================================================-->
<extension
	point="org.eclipse.ui.preferencePages">
	<page name="%STR_FILTER_CALL_PAGE"
		id="org.eclipse.hyades.sd.ui.preferences.FilterCallPreferencePage"
		category="org.eclipse.hyades.trace.ui.internal.preferences.TraceViewPreferencePage"
		class= "org.eclipse.hyades.sd.ui.preferences.FilterCallPreferencePage">
	</page>
</extension>

</plugin>
